> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mf-atlas.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook subscription



## OpenAPI

````yaml /openapi.yaml post /api/webhooks/v1/subscriptions
openapi: 3.0.3
info:
  title: MF Atlas API
  version: 1.0.0
servers:
  - description: Sandbox
    url: https://api-sandbox.mf-atlas.space
  - description: Production
    url: https://api.mf-atlas.space
security:
  - bearerAuth: []
paths:
  /api/webhooks/v1/subscriptions:
    post:
      tags:
        - webhooks
      summary: Create webhook subscription
      requestBody:
        content:
          application/json:
            schema:
              properties:
                events:
                  description: e.g. order.*, payment.*, mandate.*, investor.*.
                  type: array
                url:
                  type: string
              type: object
        description: Subscription
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  events:
                    type: array
                  id:
                    type: string
                  secret:
                    description: Shown once, at creation.
                    type: string
                  url:
                    type: string
                type: object
          description: Created (secret shown once)
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque bearer token from POST /api/auth/v1/token
      scheme: bearer
      type: http

````